Summary: Libraries to provide access to RTAS calls and RTAS events
Name:    librtas
Version: 1.3.3
Release: 1%{?dist}
URL:     http://librtas.ozlabs.org
License: IBM
Group:   System Environment/Libraries

Source: http://librtas.ozlabs.org/releases/%{name}-%{version}.tar.gz

Patch0: %{name}-1.3.2-mode.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: ppc ppc64

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
The librtas shared library provides userspace with an interface
through which certain RTAS calls can be made.  The library uses
either of the RTAS User Module or the RTAS system call to direct
the kernel in making these calls.

The librtasevent shared library provides users with a set of
definitions and common routines useful in parsing and dumping
the contents of RTAS events.

%package devel
Summary:  C header files for development with librtas
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The librtas-devel packages contains the header files and static libraries
necessary for developing programs using librtas.

%prep
%setup
%patch0 -p1 -b .mode

%build
%{__make} CFLAGS="%{optflags} -fPIC -DPIC" %{?_smp_mflags}

%install
%{__make} install DESTDIR=%{buildroot} LIB_DIR=%{_libdir}
%{__rm} -rf %{buildroot}%{_datadir}/doc

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYRIGHT README Changelog
%{_libdir}/librtas.so.%{version}
%{_libdir}/librtasevent.so.%{version}

%files devel
%defattr(-,root,root,-)
%{_libdir}/librtas.so
%{_libdir}/librtasevent.so
%{_includedir}/librtas.h
%{_includedir}/librtasevent.h
%{_includedir}/librtasevent_v4.h
%{_includedir}/librtasevent_v6.h

%changelog
* Tue Dec 18 2007 David Cantrell <dcantrell@redhat.com> - 1.3.3-1
- Upgraded to librtas-1.3.3
  Resolves: rhbz#253522

* Mon Oct 16 2006 Paul Nasrat <pnasrat@redhat.com> - 1.2.4-3
- Rebuild for multilib issue

* Tue Aug 01 2006 Paul Nasrat <pnasrat@redhat.com> - 1.2.4-2
- Backport syscall fix from upstream 

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.2.4-1.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.2.4-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.2.4-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 03 2005 Paul Nasrat <pnasrat@redhat.com> 1.2.4-1
- Update to latest version

* Thu Nov 03 2005 Paul Nasrat <pnasrat@redhat.com> 1.2.2-1
- Initial release
